Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Character.UnicodeBlock

    java.lang.Object
      |
      +--java.lang.Character.Subset
            |
            +--java.lang.Character.UnicodeBlock

Enclosing class:
  Character

public static final class Character.UnicodeBlock
extends Character.Subset

Field Summary
`static Character.UnicodeBlock` | `ALPHABETIC_PRESENTATION_FORMS`
`static Character.UnicodeBlock` | `ARABIC`
`static Character.UnicodeBlock` | `ARABIC_PRESENTATION_FORMS_A`
`static Character.UnicodeBlock` | `ARABIC_PRESENTATION_FORMS_B`
`static Character.UnicodeBlock` | `ARMENIAN`
`static Character.UnicodeBlock` | `ARROWS`
`static Character.UnicodeBlock` | `BASIC_LATIN`
`static Character.UnicodeBlock` | `BENGALI`
`static Character.UnicodeBlock` | `BLOCK_ELEMENTS`
`static Character.UnicodeBlock` | `BOPOMOFO`
`static Character.UnicodeBlock` | `BOX_DRAWING`
`static Character.UnicodeBlock` | `CJK_COMPATIBILITY`
`static Character.UnicodeBlock` | `CJK_COMPATIBILITY_FORMS`
`static Character.UnicodeBlock` | `CJK_COMPATIBILITY_IDEOGRAPHS`
`static Character.UnicodeBlock` | `CJK_SYMBOLS_AND_PUNCTUATION`
`static Character.UnicodeBlock` | `CJK_UNIFIED_IDEOGRAPHS`
`static Character.UnicodeBlock` | `COMBINING_DIACRITICAL_MARKS`
`static Character.UnicodeBlock` | `COMBINING_HALF_MARKS`
`static Character.UnicodeBlock` | `COMBINING_MARKS_FOR_SYMBOLS`
`static Character.UnicodeBlock` | `CONTROL_PICTURES`
`static Character.UnicodeBlock` | `CURRENCY_SYMBOLS`
`static Character.UnicodeBlock` | `CYRILLIC`
`static Character.UnicodeBlock` | `DEVANAGARI`
`static Character.UnicodeBlock` | `DINGBATS`
`static Character.UnicodeBlock` | `ENCLOSED_ALPHANUMERICS`
`static Character.UnicodeBlock` | `ENCLOSED_CJK_LETTERS_AND_MONTHS`
`static Character.UnicodeBlock` | `GENERAL_PUNCTUATION`
`static Character.UnicodeBlock` | `GEOMETRIC_SHAPES`
`static Character.UnicodeBlock` | `GEORGIAN`
`static Character.UnicodeBlock` | `GREEK`
`static Character.UnicodeBlock` | `GREEK_EXTENDED`
`static Character.UnicodeBlock` | `GUJARATI`
`static Character.UnicodeBlock` | `GURMUKHI`
`static Character.UnicodeBlock` | `HALFWIDTH_AND_FULLWIDTH_FORMS`
`static Character.UnicodeBlock` | `HANGUL_COMPATIBILITY_JAMO`
`static Character.UnicodeBlock` | `HANGUL_JAMO`
`static Character.UnicodeBlock` | `HANGUL_SYLLABLES`
`static Character.UnicodeBlock` | `HEBREW`
`static Character.UnicodeBlock` | `HIRAGANA`
`static Character.UnicodeBlock` | `IPA_EXTENSIONS`
`static Character.UnicodeBlock` | `KANBUN`
`static Character.UnicodeBlock` | `KANNADA`
`static Character.UnicodeBlock` | `KATAKANA`
`static Character.UnicodeBlock` | `LAO`
`static Character.UnicodeBlock` | `LATIN_1_SUPPLEMENT`
`static Character.UnicodeBlock` | `LATIN_EXTENDED_A`
`static Character.UnicodeBlock` | `LATIN_EXTENDED_ADDITIONAL`
`static Character.UnicodeBlock` | `LATIN_EXTENDED_B`
`static Character.UnicodeBlock` | `LETTERLIKE_SYMBOLS`
`static Character.UnicodeBlock` | `MALAYALAM`
`static Character.UnicodeBlock` | `MATHEMATICAL_OPERATORS`
`static Character.UnicodeBlock` | `MISCELLANEOUS_SYMBOLS`
`static Character.UnicodeBlock` | `MISCELLANEOUS_TECHNICAL`
`static Character.UnicodeBlock` | `NUMBER_FORMS`
`static Character.UnicodeBlock` | `OPTICAL_CHARACTER_RECOGNITION`
`static Character.UnicodeBlock` | `ORIYA`
`static Character.UnicodeBlock` | `PRIVATE_USE_AREA`
`static Character.UnicodeBlock` | `SMALL_FORM_VARIANTS`
`static Character.UnicodeBlock` | `SPACING_MODIFIER_LETTERS`
`static Character.UnicodeBlock` | `SPECIALS`
`static Character.UnicodeBlock` | `SUPERSCRIPTS_AND_SUBSCRIPTS`
`static Character.UnicodeBlock` | `SURROGATES_AREA`
`static Character.UnicodeBlock` | `TAMIL`
`static Character.UnicodeBlock` | `TELUGU`
`static Character.UnicodeBlock` | `THAI`
`static Character.UnicodeBlock` | `TIBETAN`

Method Summary
`static Character.UnicodeBlock` | `of(char)`

Methods inherited from class java.lang.Character.Subset
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASIC_LATIN

    public static final Character.UnicodeBlock BASIC_LATIN

### LATIN_1_SUPPLEMENT

    public static final Character.UnicodeBlock LATIN_1_SUPPLEMENT

### LATIN_EXTENDED_A

    public static final Character.UnicodeBlock LATIN_EXTENDED_A

### LATIN_EXTENDED_B

    public static final Character.UnicodeBlock LATIN_EXTENDED_B

### IPA_EXTENSIONS

    public static final Character.UnicodeBlock IPA_EXTENSIONS

### SPACING_MODIFIER_LETTERS

    public static final Character.UnicodeBlock SPACING_MODIFIER_LETTERS

### COMBINING_DIACRITICAL_MARKS

    public static final Character.UnicodeBlock COMBINING_DIACRITICAL_MARKS

### GREEK

    public static final Character.UnicodeBlock GREEK

### CYRILLIC

    public static final Character.UnicodeBlock CYRILLIC

### ARMENIAN

    public static final Character.UnicodeBlock ARMENIAN

### HEBREW

    public static final Character.UnicodeBlock HEBREW

### ARABIC

    public static final Character.UnicodeBlock ARABIC

### DEVANAGARI

    public static final Character.UnicodeBlock DEVANAGARI

### BENGALI

    public static final Character.UnicodeBlock BENGALI

### GURMUKHI

    public static final Character.UnicodeBlock GURMUKHI

### GUJARATI

    public static final Character.UnicodeBlock GUJARATI

### ORIYA

    public static final Character.UnicodeBlock ORIYA

### TAMIL

    public static final Character.UnicodeBlock TAMIL

### TELUGU

    public static final Character.UnicodeBlock TELUGU

### KANNADA

    public static final Character.UnicodeBlock KANNADA

### MALAYALAM

    public static final Character.UnicodeBlock MALAYALAM

### THAI

    public static final Character.UnicodeBlock THAI

### LAO

    public static final Character.UnicodeBlock LAO

### TIBETAN

    public static final Character.UnicodeBlock TIBETAN

### GEORGIAN

    public static final Character.UnicodeBlock GEORGIAN

### HANGUL_JAMO

    public static final Character.UnicodeBlock HANGUL_JAMO

### LATIN_EXTENDED_ADDITIONAL

    public static final Character.UnicodeBlock LATIN_EXTENDED_ADDITIONAL

### GREEK_EXTENDED

    public static final Character.UnicodeBlock GREEK_EXTENDED

### GENERAL_PUNCTUATION

    public static final Character.UnicodeBlock GENERAL_PUNCTUATION

### SUPERSCRIPTS_AND_SUBSCRIPTS

    public static final Character.UnicodeBlock SUPERSCRIPTS_AND_SUBSCRIPTS

### CURRENCY_SYMBOLS

    public static final Character.UnicodeBlock CURRENCY_SYMBOLS

### COMBINING_MARKS_FOR_SYMBOLS

    public static final Character.UnicodeBlock COMBINING_MARKS_FOR_SYMBOLS

### LETTERLIKE_SYMBOLS

    public static final Character.UnicodeBlock LETTERLIKE_SYMBOLS

### NUMBER_FORMS

    public static final Character.UnicodeBlock NUMBER_FORMS

### ARROWS

    public static final Character.UnicodeBlock ARROWS

### MATHEMATICAL_OPERATORS

    public static final Character.UnicodeBlock MATHEMATICAL_OPERATORS

### MISCELLANEOUS_TECHNICAL

    public static final Character.UnicodeBlock MISCELLANEOUS_TECHNICAL

### CONTROL_PICTURES

    public static final Character.UnicodeBlock CONTROL_PICTURES

### OPTICAL_CHARACTER_RECOGNITION

    public static final Character.UnicodeBlock OPTICAL_CHARACTER_RECOGNITION

### ENCLOSED_ALPHANUMERICS

    public static final Character.UnicodeBlock ENCLOSED_ALPHANUMERICS

### BOX_DRAWING

    public static final Character.UnicodeBlock BOX_DRAWING

### BLOCK_ELEMENTS

    public static final Character.UnicodeBlock BLOCK_ELEMENTS

### GEOMETRIC_SHAPES

    public static final Character.UnicodeBlock GEOMETRIC_SHAPES

### MISCELLANEOUS_SYMBOLS

    public static final Character.UnicodeBlock MISCELLANEOUS_SYMBOLS

### DINGBATS

    public static final Character.UnicodeBlock DINGBATS

### CJK_SYMBOLS_AND_PUNCTUATION

    public static final Character.UnicodeBlock CJK_SYMBOLS_AND_PUNCTUATION

### HIRAGANA

    public static final Character.UnicodeBlock HIRAGANA

### KATAKANA

    public static final Character.UnicodeBlock KATAKANA

### BOPOMOFO

    public static final Character.UnicodeBlock BOPOMOFO

### HANGUL_COMPATIBILITY_JAMO

    public static final Character.UnicodeBlock HANGUL_COMPATIBILITY_JAMO

### KANBUN

    public static final Character.UnicodeBlock KANBUN

### ENCLOSED_CJK_LETTERS_AND_MONTHS

    public static final Character.UnicodeBlock ENCLOSED_CJK_LETTERS_AND_MONTHS

### CJK_COMPATIBILITY

    public static final Character.UnicodeBlock CJK_COMPATIBILITY

### CJK_UNIFIED_IDEOGRAPHS

    public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS

### HANGUL_SYLLABLES

    public static final Character.UnicodeBlock HANGUL_SYLLABLES

### SURROGATES_AREA

    public static final Character.UnicodeBlock SURROGATES_AREA

### PRIVATE_USE_AREA

    public static final Character.UnicodeBlock PRIVATE_USE_AREA

### CJK_COMPATIBILITY_IDEOGRAPHS

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_IDEOGRAPHS

### ALPHABETIC_PRESENTATION_FORMS

    public static final Character.UnicodeBlock ALPHABETIC_PRESENTATION_FORMS

### ARABIC_PRESENTATION_FORMS_A

    public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_A

### COMBINING_HALF_MARKS

    public static final Character.UnicodeBlock COMBINING_HALF_MARKS

### CJK_COMPATIBILITY_FORMS

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_FORMS

### SMALL_FORM_VARIANTS

    public static final Character.UnicodeBlock SMALL_FORM_VARIANTS

### ARABIC_PRESENTATION_FORMS_B

    public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_B

### HALFWIDTH_AND_FULLWIDTH_FORMS

    public static final Character.UnicodeBlock HALFWIDTH_AND_FULLWIDTH_FORMS

### SPECIALS

    public static final Character.UnicodeBlock SPECIALS

Method Detail

### of

    public static Character.UnicodeBlock of(char)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.